QGIS Application - Bug report #14289
QGIS packaging problem (master) - again
2016-02-12 10:47 AM - Mikhail Tchernychev

Status: Closed

Priority: Normal

Assignee:

Category: Build/Install

Affected QGIS version:master Regression?: No

Operating System: trusty Easy fix?: No

Pull Request or Patch supplied: Resolution: fixed/implemented
Crashes QGIS or corrupls data: Copied to github as #: 22281
Description

Hi,

Recently QGIS died after update:

sudo apt-get install qgis python-qgis qgis-plugin-grass
Reading package lists... Done
Building dependency tree
Reading state information... Done
python-qgis is already the newest version.
python-qgis set to manually installed.
qgis-plugin-grass is already the newest version.
qgis-plugin-grass set to manually installed.
The following packages were automatically installed and are no longer required:
freeglut3 python-opengl
Use 'apt-get autoremove' to remove them.
The following NEW packages will be installed:
qgis
0 upgraded, 1 newly installed, 0 to remove and 3 not upgraded.
2 not fully installed or removed.
Need to get 0 B/12.2 MB of archives.
After this operation, 50.0 MB of additional disk space will be used.
Do you want to continue? [Y/n] y
(Reading database ... 739383 files and directories currently installed.)
Preparing to unpack .../qgis_1%3a2.13.0+git20160212+bcc8e2a+20trusty-ubuntugis_amdé4.deb ...
Unpacking qgis (1:2.13.0+git20160212+bcc8e2a+20trusty-ubuntugis) ...
dpkg: error processing archive /var/cache/apt/archives/qgis_1%3a2.13.0+git20160212+bcc8e2a+20trusty-ubuntugis_amd64.deb
(--unpack):
trying to overwrite “/usr/bin/qgis.bin’, which is the diverted version of “/usr/bin/qgis' (package: qgis-plugin-grass)
dpkg-deb: error: subprocess paste was Killed by signal (Broken pipe)
Processing triggers for mime-support (3.54ubuntu1.1) ...
Errors were encountered while processing:
/var/cache/apt/archives/qgis_1%3a2.13.0+git20160212+bcc8e2a+20trusty-ubuntugis_amd64.deb
E: Sub-process /usr/bin/dpkg returned an error code (1)

| think it did happen before and there is conflict between qgis and qgis-plugin-grass

| tried to remove all QGIS and GRASS packages and re-install. Still the same

| use:
http://qgis.org/ubuntugis-nightly
http://ppa.launchpad.net/danielrichter2007/grub-customizer/ubuntu

on trusty.

Thank you
Mikhail

Related issues:
Related to QGIS Application - Bug report # 14248: Debian build failure. Closed 2016-02-08

History

#1 - 2016-02-12 12:55 PM - Goyo D
- Category set to Build/Install

The same error about "trying to overwrite /usr/bin/qgis.bin’, which is the diverted version of /usr/bin/qgis' (package: qgis-plugin-grass)" happens in Wily

using debian-nightly.

It happens even if qgis-plugin-grass and its specific dependencies are not installed. It's not a hard dependency so it can be done using apt-get with

--no-install-recommends.

#2 - 2016-02-12 03:52 PM - Jiirgen Fischer

should be fixed in commit:7489af8

#3 - 2016-02-13 05:40 AM - Goyo D
- Status changed from Open to Closed

Itis for me so closing. Thanks.

#4 - 2016-03-06 07:23 AM - Andrey Isakov
- Status changed from Closed to Reopened

- Target version set to Version 2.14

Same error on Debian stretch:

Unpacking qgis (1:2.14.0+14stretch) ...

dpkg: error processing archive /var/cache/apt/archives/qgis_1%3a2.14.0+14stretch_amd64.deb (--unpack):
trying to overwrite '/usr/bin/qgis.bin’, which is the diverted version of ‘/usr/bin/qgis' (package: qgis-provider-grass)
dpkg-deb: error: subprocess paste was killed by signal (Broken pipe)

used

deb http:/ggis.org/debian stretch main

deb-src http://ggis.org/debian stretch main

#5 - 2016-05-22 01:37 PM - Juirgen Fischer
- Resolution set to fixed/implemented
- Status changed from Reopened to Closed
http://qgis.org/ubuntugis-nightly
http://ppa.launchpad.net/danielrichter2007/grub-customizer/ubuntu
http://qgis.org/debian
http://qgis.org/debian

Fixed in commit:e62d8fe
